function Write-FormatedMessage
{
    param (
        [string]$message = "",
        [int]$shiftCorrection = 0,
        [ConsoleColor]$consoleColor
    )

    $skipCallStackCount = 2
    $callStack = Get-PSCallStack
    $localShift = $callStack.Count - $skipCallStackCount - $shiftCorrection
    if ($localShift -gt 0)
    {
        $shiftString = [string]::new(' ', $localShift * 2)
        Write-Host $shiftString -ForegroundColor $consoleColor -NoNewline
    }
    Write-Host $message -ForegroundColor $consoleColor
}

function Write-ErrorMessage
{
    param (
        [string]$message = ""
    )

    Write-FormatedMessage $message -1 Red
}

function Write-InfoMessage
{
    param (
        [string]$message = ""
    )

    Write-FormatedMessage $message -1 Green
}


function Write-WarningMessage
{
    param (
        [string]$message = ""
    )

    Write-FormatedMessage $message -1 Yellow
}